Bug 2102163 (CVE-2022-34468) - CVE-2022-34468 Mozilla: CSP sandbox header without `allow-scripts` can be bypassed via retargeted javascript: URI
Summary: CVE-2022-34468 Mozilla: CSP sandbox header without `allow-scripts` can be byp...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2022-34468
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2098600 2098601 2098602 2098603 2098604 2098605 2098606 2098607 2098608 2098609 2098644 2098645 2098646 2098647 2098648 2098649 2098650 2098651 2098652 2098653
Blocks: 2098598
TreeView+ depends on / blocked
 
Reported: 2022-06-29 12:20 UTC by Mauro Matteo Cascella
Modified: 2022-07-28 12:07 UTC (History)
5 users (show)

Fixed In Version: firefox 91.11, thunderbird 91.11, thunderbird 102
Doc Type: ---
Doc Text:
A flaw was found in Mozilla. The Mozilla Foundation Security Advisory describes the issue of an iframe that was not permitted to run scripts could do so if the user clicked on a `javascript:` link.
Clone Of:
Environment:
Last Closed: 2022-07-01 16:12:00 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2022:5469 0 None None None 2022-06-30 23:21:53 UTC
Red Hat Product Errata RHSA-2022:5470 0 None None None 2022-06-30 23:22:12 UTC
Red Hat Product Errata RHSA-2022:5472 0 None None None 2022-06-30 23:17:50 UTC
Red Hat Product Errata RHSA-2022:5473 0 None None None 2022-06-30 23:18:12 UTC
Red Hat Product Errata RHSA-2022:5474 0 None None None 2022-07-01 00:24:06 UTC
Red Hat Product Errata RHSA-2022:5475 0 None None None 2022-07-01 00:25:21 UTC
Red Hat Product Errata RHSA-2022:5477 0 None None None 2022-06-30 21:58:23 UTC
Red Hat Product Errata RHSA-2022:5478 0 None None None 2022-06-30 21:59:18 UTC
Red Hat Product Errata RHSA-2022:5479 0 None None None 2022-07-01 01:26:30 UTC
Red Hat Product Errata RHSA-2022:5480 0 None None None 2022-07-01 01:27:06 UTC
Red Hat Product Errata RHSA-2022:5481 0 None None None 2022-07-01 01:57:19 UTC
Red Hat Product Errata RHSA-2022:5482 0 None None None 2022-07-01 01:58:15 UTC

Description Mauro Matteo Cascella 2022-06-29 12:20:15 UTC
An iframe that was not permitted to run scripts could do so if the user clicked on a `javascript:` link.

External Reference:
https://www.mozilla.org/en-US/security/advisories/mfsa2022-25/#CVE-2022-34468

Comment 1 errata-xmlrpc 2022-06-30 21:58:21 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Update Services for SAP Solutions

Via RHSA-2022:5477 https://access.redhat.com/errata/RHSA-2022:5477

Comment 2 errata-xmlrpc 2022-06-30 21:59:16 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Update Services for SAP Solutions

Via RHSA-2022:5478 https://access.redhat.com/errata/RHSA-2022:5478

Comment 3 errata-xmlrpc 2022-06-30 23:17:47 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.4 Extended Update Support

Via RHSA-2022:5472 https://access.redhat.com/errata/RHSA-2022:5472

Comment 4 errata-xmlrpc 2022-06-30 23:18:09 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.4 Extended Update Support

Via RHSA-2022:5473 https://access.redhat.com/errata/RHSA-2022:5473

Comment 5 errata-xmlrpc 2022-06-30 23:21:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:5469 https://access.redhat.com/errata/RHSA-2022:5469

Comment 6 errata-xmlrpc 2022-06-30 23:22:10 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:5470 https://access.redhat.com/errata/RHSA-2022:5470

Comment 7 errata-xmlrpc 2022-07-01 00:24:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Extended Update Support

Via RHSA-2022:5474 https://access.redhat.com/errata/RHSA-2022:5474

Comment 8 errata-xmlrpc 2022-07-01 00:25:19 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Extended Update Support

Via RHSA-2022:5475 https://access.redhat.com/errata/RHSA-2022:5475

Comment 9 errata-xmlrpc 2022-07-01 01:26:28 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2022:5479 https://access.redhat.com/errata/RHSA-2022:5479

Comment 10 errata-xmlrpc 2022-07-01 01:27:04 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2022:5480 https://access.redhat.com/errata/RHSA-2022:5480

Comment 11 errata-xmlrpc 2022-07-01 01:57:16 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2022:5481 https://access.redhat.com/errata/RHSA-2022:5481

Comment 12 errata-xmlrpc 2022-07-01 01:58:13 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2022:5482 https://access.redhat.com/errata/RHSA-2022:5482

Comment 13 Product Security DevOps Team 2022-07-01 16:11:58 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-34468


Note You need to log in before you can comment on or make changes to this bug.